> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of transactions

> Returns a list of blockchain transactions metadata.<br/> Results are ordered by tuple `(tx_position, txid)`.<br/> To fetch the next page of results use `next_page_url` JSON response field.<br/> Results are limited to the last 30 days for Community users.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /blockchain-v2/{asset}/transactions
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /blockchain-v2/{asset}/transactions:
    servers:
      - url: https://api.coinmetrics.io/v4
      - url: https://community-api.coinmetrics.io/v4
    get:
      tags:
        - List of blockchain entities v2
      summary: List of transactions
      description: >-
        Returns a list of blockchain transactions metadata.<br/> Results are
        ordered by tuple `(tx_position, txid)`.<br/> To fetch the next page of
        results use `next_page_url` JSON response field.<br/> Results are
        limited to the last 30 days for Community users.
      operationId: getBlockchainV2ListOfTransactions
      parameters:
        - $ref: '#/components/parameters/BlockchainAsset'
        - $ref: '#/components/parameters/BlockchainTransactionIdsV2'
        - $ref: '#/components/parameters/BlockchainBlockHashesV2'
        - $ref: '#/components/parameters/StartTimeMutuallyExclusiveWithHeightAtlasV2'
        - $ref: '#/components/parameters/EndTimeMutuallyExclusiveWithHeightAtlasV2'
        - $ref: '#/components/parameters/StartHeightMutuallyExclusiveWithTimeAtlasV2'
        - $ref: '#/components/parameters/EndHeightMutuallyExclusiveWithTimeAtlasV2'
        - $ref: '#/components/parameters/BlockchainChainTypeV2'
        - $ref: '#/components/parameters/StartInclusiveAtlasV2'
        - $ref: '#/components/parameters/EndInclusiveAtlasV2'
        - $ref: '#/components/parameters/Timezone'
        - $ref: '#/components/parameters/PageSizeAtlasV2'
        - $ref: '#/components/parameters/PagingFrom'
        - $ref: '#/components/parameters/Pretty'
        - $ref: '#/components/parameters/NextPageToken'
        - $ref: '#/components/parameters/IgnoreUnsupportedErrors'
      responses:
        '200':
          $ref: '#/components/responses/BlockchainTransactionsV2'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/BlockchainForbidden'
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            # Gets list of transactions for Ethereum classic

            curl --compressed
            "https://api.coinmetrics.io/v4/blockchain-v2/etc/transactions?start_time=2021-01-01&end_time=2021-01-02&pretty=true&api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            # Gets list of transactions for Ethereum classic

            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/blockchain-v2/etc/transactions?start_time=2021-01-01&end_time=2021-01-02&pretty=true&api_key=<your_key>').json()

            print(response)
        - lang: Python
          label: Python Client
          source: >
            # Gets list of transactions for Ethereum classic

            from coinmetrics.api_client import CoinMetricsClient

            client = CoinMetricsClient(<your_key>)


            response = client.get_list_of_transactions_v2(asset="etc",
            start_time="2021-01-01", end_time="2021-01-02").to_list()

            print(response)
components:
  parameters:
    BlockchainAsset:
      description: Asset name.
      in: path
      name: asset
      required: true
      schema:
        type: string
    BlockchainTransactionIdsV2:
      description: >-
        Optional comma separated list of transaction identifiers (txid) to
        filter a response.<br/> The list must contain a single element for
        Community users.
      in: query
      name: txids
      schema:
        type: array
        items:
          type: string
      explode: false
    BlockchainBlockHashesV2:
      description: >-
        Optional comma separated list of block hashes to filter a response.<br/>
        The list must contain a single element for Community users.
      in: query
      name: block_hashes
      schema:
        type: array
        items:
          type: string
      explode: false
    StartTimeMutuallyExclusiveWithHeightAtlasV2:
      description: >-
        Start of the time interval.<br/> This field refers to the `time` field
        in the response.<br/> Multiple formats of ISO 8601 are supported:
        `2006-01-20T00:00:00Z`, `2006-01-20T00:00:00.000Z`,
        `2006-01-20T00:00:00.123456Z`, `2006-01-20T00:00:00.123456789Z`,
        `2006-01-20`, `20060120`.<br/> Inclusive by default. Mutually exclusive
        with `start_height`.<br/> UTC timezone by default. `Z` suffix is
        optional and `timezone` parameter has a priority over it.<br/> If
        `start_time` is omitted, response will include time series from the
        **earliest** time available.<br/> This parameter is disabled for
        Community users.
      in: query
      name: start_time
      schema:
        type: string
    EndTimeMutuallyExclusiveWithHeightAtlasV2:
      description: >-
        End of the time interval.<br/> This field refers to the `time` field in
        the response.<br/> Multiple formats of ISO 8601 are supported:
        `2006-01-20T00:00:00Z`, `2006-01-20T00:00:00.000Z`,
        `2006-01-20T00:00:00.123456Z`, `2006-01-20T00:00:00.123456789Z`,
        `2006-01-20`, `20060120`.<br/> Inclusive by default. Mutually exclusive
        with `end_height`.<br/> UTC timezone by default. `Z` suffix is optional
        and `timezone` parameter has a priority over it.<br/> If `end_time` is
        omitted, response will include time series up to the **latest** time
        available.<br/> This parameter is disabled for Community users.
      in: query
      name: end_time
      schema:
        type: string
    StartHeightMutuallyExclusiveWithTimeAtlasV2:
      description: >-
        The start height indicates the beginning block height for the set of
        data that are returned.<br/> Inclusive by default. Mutually exclusive
        with `start_time`.<br/> This parameter is disabled for Community users.
      in: query
      name: start_height
      schema:
        type: integer
        format: int64
        minimum: 0
    EndHeightMutuallyExclusiveWithTimeAtlasV2:
      description: >-
        The end height indicates the ending block height for the set of data
        that are returned.<br/> Inclusive by default. Mutually exclusive with
        `end_time`.<br/> This parameter is disabled for Community users.
      in: query
      name: end_height
      schema:
        type: integer
        format: int64
        minimum: 0
    BlockchainChainTypeV2:
      description: >-
        Chain type. Supported values are `main` and `all` (includes both main
        and stale).<br/> This parameter is disabled for Community users.
      in: query
      name: chain
      schema:
        default: main
        type: string
    StartInclusiveAtlasV2:
      description: >-
        Inclusive or exclusive corresponding `start_*` parameters.<br/> This
        parameter is disabled for Community users.
      in: query
      name: start_inclusive
      schema:
        default: true
        type: boolean
    EndInclusiveAtlasV2:
      description: >-
        Inclusive or exclusive corresponding `end_*` parameters.<br/> This
        parameter is disabled for Community users.
      in: query
      name: end_inclusive
      schema:
        default: true
        type: boolean
    Timezone:
      description: >-
        Timezone name for `start_time` and `end_time` timestamps.<br/> This
        parameter does not modify the output times, which are always `UTC`.<br/>
        Format is defined by [TZ
        database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones).
      in: query
      name: timezone
      schema:
        example: America/New_York
        default: UTC
        type: string
    PageSizeAtlasV2:
      description: >-
        Number of items per single page of results.<br/> This parameter is
        disabled for Community users.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFrom:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: end
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
    IgnoreUnsupportedErrors:
      description: >-
        Ignore "unsupported" errors for not currently supported by Coin Metrics
        items.
      in: query
      name: ignore_unsupported_errors
      schema:
        type: boolean
        default: false
  responses:
    BlockchainTransactionsV2:
      description: Blockchain transactions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BlockchainTransactionsResponseV2'
          example:
            data:
              - block_hash: >-
                  749e49620fcbdbb474a067f6eb350bee5cf67e4d76e624e63b9680824e6b15a7
                height: '1720841'
                txid: >-
                  55a25f64dc6f0d8d71b0ac733ccea1017d300da329be0790d905957e91913d50
                consensus_time: '2019-10-17T10:00:43.000000000Z'
                miner_time: '2019-10-17T10:00:43.000000000Z'
                tx_position: '7390955816615984'
                n_balance_updates: '4'
                amount: '0.85215625'
                version: '2'
                physical_size: '248'
                consensus_size: '662'
                fee: '0.00000232'
                min_chain_sequence_number: '7390955816616149'
                max_chain_sequence_number: '7390955816616152'
              - block_hash: >-
                  749e49620fcbdbb474a067f6eb350bee5cf67e4d76e624e63b9680824e6b15a7
                height: '1720841'
                txid: >-
                  468d5c24de3008250974cd0447249a1ae2e36af36d26159f0b448ef16b8329da
                consensus_time: '2019-10-17T10:00:43.000000000Z'
                miner_time: '2019-10-17T10:00:43.000000000Z'
                tx_position: '7390955816615985'
                n_balance_updates: '4'
                amount: '0.85175575'
                version: '2'
                physical_size: '248'
                consensus_size: '662'
                fee: '0.00000232'
                min_chain_sequence_number: '7390955816616153'
                max_chain_sequence_number: '7390955816616156'
            next_page_token: >-
              MTUwNTY4NjY4NDk1ODcyfGI5NDg3YTM3MzY2OWRlMDAzNGFkM2Q2NmI5OWY1ZGZlMTRkNGIyMTBkZjQ2MTExNTFjM2Y0YjM0OTc0MTM2Y2M
            next_page_url: >-
              https://api.coinmetrics.io/v4/blockchain-v2/btc/transactions?api_key=<your
              key>&start_height=35055&page_size=2&next_page_token=MTUwNTY4NjY4NDk1ODcyfGI5NDg3YTM3MzY2OWRlMDAzNGFkM2Q2NmI5OWY1ZGZlMTRkNGIyMTBkZjQ2MTExNTFjM2Y0YjM0OTc0MTM2Y2M
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    BlockchainForbidden:
      content:
        application/json:
          example:
            error:
              type: forbidden
              message: Requested resource is not available with supplied credentials.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Requested resource is not available with supplied credentials.
  schemas:
    BlockchainTransactionsResponseV2:
      description: Blockchain transactions response.
      properties:
        data:
          items:
            $ref: '#/components/schemas/BlockchainTransactionInfoV2'
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
        warning:
          $ref: '#/components/schemas/WarningObject'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    BlockchainTransactionInfoV2:
      allOf:
        - $ref: '#/components/schemas/BlockchainBlockTransactionInfoV2'
        - type: object
          properties:
            block_hash:
              $ref: '#/components/schemas/BlockchainBlockHash'
            height:
              $ref: '#/components/schemas/BlockchainBlockHeight'
            version:
              $ref: '#/components/schemas/BlockchainTransactionVersion'
            physical_size:
              $ref: '#/components/schemas/BlockchainTransactionPhysicalSize'
            consensus_size:
              $ref: '#/components/schemas/BlockchainTransactionConsensusSize'
            fee:
              $ref: '#/components/schemas/BlockchainTransactionFee'
            stale:
              $ref: '#/components/schemas/BlockchainStaleBlock'
          required:
            - block_hash
            - height
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    WarningObject:
      properties:
        type:
          description: Warning type string. Can be used for warning identification.
          type: string
        message:
          description: >-
            Human-friendly warning description. Do not use for warning
            identification in your code.
          type: string
      required:
        - type
        - message
      type: object
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    BlockchainBlockTransactionInfoV2:
      properties:
        txid:
          $ref: '#/components/schemas/BlockchainTransactionId'
        consensus_time:
          $ref: '#/components/schemas/Time'
        miner_time:
          $ref: '#/components/schemas/Time'
        tx_position:
          $ref: '#/components/schemas/BlockchainTransactionPosition'
        min_chain_sequence_number:
          $ref: '#/components/schemas/BlockchainChainSequenceNumber'
        max_chain_sequence_number:
          $ref: '#/components/schemas/BlockchainChainSequenceNumber'
        n_balance_updates:
          $ref: '#/components/schemas/BlockchainNumberOfBalanceUpdates'
        amount:
          $ref: '#/components/schemas/BlockchainTransactionAmount'
        stale:
          $ref: '#/components/schemas/BlockchainStaleBlock'
      required:
        - txid
        - consensus_time
        - tx_position
        - n_balance_updates
        - amount
    BlockchainBlockHash:
      description: Hash of the block.
      type: string
    BlockchainBlockHeight:
      description: Height of the block.
      type: string
      format: int64
    BlockchainTransactionVersion:
      description: Version of the transaction.
      type: string
    BlockchainTransactionPhysicalSize:
      description: Physical size of the transaction, bytes.
      type: string
      format: decimal
    BlockchainTransactionConsensusSize:
      description: Consensus size of the transaction.
      type: string
      format: decimal
    BlockchainTransactionFee:
      description: Fee of the transaction.
      type: string
      format: decimal
    BlockchainStaleBlock:
      description: >-
        This field is set to true if the corresponding block is stale. Otherwise
        omitted.
      type: string
    BlockchainTransactionId:
      description: Identifier (txid) of the transaction.
      type: string
    Time:
      description: >-
        The time in ISO 8601 date-time format. Always with nanoseconds
        precision.
      type: string
      format: date-time
    BlockchainTransactionPosition:
      description: Transaction position.
      type: string
      format: int64
    BlockchainChainSequenceNumber:
      description: Chain sequence number.
      type: string
      format: int64
    BlockchainNumberOfBalanceUpdates:
      description: Number of balance updates.
      type: string
      format: int64
    BlockchainTransactionAmount:
      description: Sum of all debits in the transaction.
      type: string
      format: decimal
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````